/** 
 *******************************************************************************
 * @file    main.h
 * @brief   the header file of TMRB_PPG demo for the TOSHIBA
 *          'TMPM037' Device Series 
 * @version V0.100
 * @date    2014/05/19
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

/* Includes ------------------------------------------------------------------*/
#include "tmpm037_tmrb.h"
#include "tmpm037_gpio.h"
#include "sw.h"

/* Private define ------------------------------------------------------------*/

#define TMRB0TIME       0x4E2U /* TMRB0 for PPG , Ttmrb = 0.4us, 500us/0.4us = 2000U = 0x4E2U */
#define LEADINGTIMINGMAX         0x05U  /* LEADINGTIMING RATE COUNTER MAX */
#define LEADINGTIMINGINIT        0U     /* LEADINGTIMING RATE COUNTER Initialize */

/* External function prototypes ----------------------------------------------*/
#endif
