/**
 *******************************************************************************
 * @file    main.h
 * @brief   The application functions of DMAC UART demo for the
 *          TOSHIBA 'TMPM037' Device Series
 * @version V0.100
 * @date    2014/05/21
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

/* Includes ------------------------------------------------------------------*/
#include "TMPM037.h"
#include "tmpm037_dmac.h"
#include "tmpm037_int.h"
#include "tmpm037_uart.h"

void GPIO_SetUART(void);
#endif                          /* __MAIN_H */
